%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-octavia

Name:                   puppet-octavia
Version:                12.4.0
Release:                15%{?dist}
Summary:                Puppet module for Octavia
License:                ASL 2.0

URL:                    https://launchpad.net/%{name}

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Add-keystone-roles-for-Octavia-policies.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0003: 0003-Add-allow_tls_terminated_listeners-config-option.patch
Patch0004: 0004-Add-workers-support-to-octavia-worker-class.patch
Patch0005: 0005-Add-missing-options-to-octavia-certificates.patch
Patch0006: 0006-Add-octavia-nova-to-configure-nova-section.patch
Patch0007: 0007-Add-octavia-glance-to-configure-glance-section.patch
Patch0008: 0008-Add-octavia-neutron-to-configure-nova-section.patch
Patch0009: 0009-Add-api_v1_enabled-and-api_v2_enabled-options.patch
Patch0010: 0010-Debian-is-using-python3-octaviaclient.patch
Patch0011: 0011-Add-Octavia-API-WSGI-support.patch
Patch0012: 0012-Add-octavia-certificates-client_ca-and-data.patch
Patch0013: 0013-Add-octavia-quota-class.patch
Patch0014: 0014-Added-missing-DB-params-to-init-class.patch
Patch0015: 0015-Revert-Added-missing-DB-params-to-init-class.patch
Patch0016: 0016-Add-openstack-db-tag-to-db-sync-Exec-resource.patch
Patch0017: 0017-Do-not-set-inexistent-haproxy_amphora-key_path.patch
Patch0018: 0018-Set-common-configuration-options-across-services.patch
Patch0019: 0019-Fix-octavia-controller-redeclaration.patch
Patch0020: 0020-Re-include-octavia-db-in-octavia-api.patch
Patch0021: 0021-heatlh_manager-default-to-os_workers.patch
Patch0022: 0022-Configure-server_certs_key_passphrase-for-Octavia.patch
Patch0023: 0023-Configure-32-chars-length-server_certs_key_passphras.patch
Patch0024: 0024-Deprecate-spare_amphorae_pool_size.patch
Patch0025: 0025-Add-octavia-controller-controller_ip_port_list.patch
Patch0026: 0026-Add-support-for-connection-retry-variables.patch
Patch0027: 0027-Add-build_active_retries-and-port_detach_timeout.patch
Patch0028: 0028-Add-posibilities-to-set-default-values-for-timeouts.patch
Patch0029: 0029-Add-the-connection_logging-parameter.patch
Patch0030: 0030-Add-keepalivd-vrrp-parameters.patch
Patch0031: 0031-Add-parameters-for-amphora-anti-affinity.patch
Patch0032: 0032-Revert-Add-parameters-for-amphora-anti-affinity.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-nova
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet-stdlib
Requires:               puppet >= 2.7.0

%description
Octavia puppet module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/


%files
%{_datadir}/openstack-puppet/modules/octavia/


%changelog
* Fri Jan 31 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-15
- Revert "Add parameters for amphora anti-affinity"
- Add parameters for amphora anti-affinity
- Add keepalivd vrrp parameters

* Mon Dec 02 2019 Carlos Goncalves <cgoncalves@redhat.com> 12.4.0-14
- Add the "connection_logging" parameter (rhbz#1759254)

* Mon Oct 07 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-13
- Add build_active_retries and port_detach_timeout
- Add support for connection retry variables
- Add octavia::controller::controller_ip_port_list
- Configure 32 chars length server_certs_key_passphrase for Octavia

* Tue Sep 17 2019 Carlos Goncalves <cgoncalves@redhat.com> 12.4.0-12
- Deprecate spare_amphorae_pool_size (rhbz#1744205)

* Mon Aug 12 2019 Nir Magnezi <nmagnezi@redhat.com> 12.4.0-11
- Configure 32 chars length server_certs_key_passphrase for Octavia (rhbz#1726261)

* Sun Jun 16 2019 Nir Magnezi <nmagnezi@redhat.com> 12.4.0-10
- Configure server_certs_key_passphrase for Octavia (rhbz#1718936)

* Thu May 30 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-9
- heatlh_manager default to os_workers

* Mon Feb 11 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-8
- Update patches

* Thu Dec 06 2018 Carlos Goncalves <cgoncalves@redhat.com> 12.4.0-7
- Re-include octavia::db in octavia::api (rhbz#1653454)
- Fix octavia::controller redeclaration (rhbz#1653454)

* Tue Nov 20 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-6
- Add 'openstack-db' tag to db-sync Exec resource

* Sun Nov 18 2018 Nir Magnezi <nmagnezi@redhat.com> 12.4.0-5
- Set common configuration options across services (rhbz#1638292 rhbz#1639206)
- Do not set inexistent haproxy_amphora/key_path (rhbz#1638292)

* Thu Nov 01 2018 Nir Magnezi <nmagnezi@redhat.com> 12.4.0-4
- Add posibilities to set default values for timeouts (rhbz#1636496)

* Tue Oct 16 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-3
- Revert "Added missing DB params to init class"
- Added missing DB params to init class
- Add octavia::quota class
- Add octavia::certificates::client_ca and data
- Add Octavia API WSGI support
- Debian is using python3-octaviaclient
- Add api_v1_enabled and api_v2_enabled options
- Add octavia::neutron to configure nova section
- Add octavia::glance to configure glance section
- Add octavia::nova to configure nova section
- Add missing options to octavia::certificates
- Add workers support to octavia::worker class
- Add allow_tls_terminated_listeners config option
- Update Gemfile to pull spec_helper from stable/queens

* Fri Apr 20 2018 Nir Magnezi <nmagnezi@redhat.com> 12.4.0-2
- Add keystone roles for Octavia policies (rhbz#1508904)

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0


